Package org.apache.tools.ant

# Interface PropertyHelper.PropertyEnumerator

All Superinterfaces:
  `PropertyHelper.Delegate`

All Known Implementing Classes:
  `LocalProperties`

Enclosing class:
  `PropertyHelper`

public static interface PropertyHelper.PropertyEnumerator extends PropertyHelper.Delegate
Obtains the names of all known properties.

Since:
  1.10.9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getPropertyNames()`
  Returns the names of all properties known to this delegate.

- ## Method Details

  - ### getPropertyNames

    Set<String> getPropertyNames()
    Returns the names of all properties known to this delegate.
    Returns:
      the names of all properties known to this delegate.